/******************************************************************************

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

******************************************************************************/

#include "myerrorhandler.hpp"

void MyErrorHandler::warning(const SAXParseException &e) {
     std::cerr << "Warning: XML warning:\n";
     if (e.getSystemId()) {
	  std::cerr << "  In file " << XMLtr(e.getSystemId()) << "\n";
     }
     std::cerr << "  On line " << e.getLineNumber()
	       << ", column " << e.getColumnNumber()
	       << ".\n  Message: " << XMLtr(e.getMessage()) << "\n";
}

void MyErrorHandler::error(const SAXParseException &e) {
     std::cerr << "Warning: XML error:\n";
     if (e.getSystemId()) {
	  std::cerr << "  In file " << XMLtr(e.getSystemId()) << "\n";
     }
     std::cerr << "  On line " << e.getLineNumber()
	       << ", column " << e.getColumnNumber()
	       << ".\n  Message: " << XMLtr(e.getMessage()) << "\n";
}

void MyErrorHandler::fatalError(const SAXParseException &e) {
     std::cerr << "Error: XML fatal error:\n";
     if (e.getSystemId()) {
	  std::cerr << "  In file " << XMLtr(e.getSystemId()) << "\n";
     }
     std::cerr << "  On line " << e.getLineNumber()
	       << ", column " << e.getColumnNumber()
	       << ".\n  Message: " << XMLtr(e.getMessage()) << "\n";
     throw e;
}
